Search for load information

This request allows the carrier to search load information on awarded loads.

Example

The following example allows a carrier to search awarded load details.

POST https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/search

Request body

{ "status": { "status": "TENDERED", "planType": "LOAD_PLAN_TYPE" }, "planIds": [ ], "origins": { "city": "Chicago", "postalCode": "31422", "state": "GA" }, "destinations": { "city": "Chicago", "postalCode": "94903", "state": "GA" }, "queryDates": { "endTs": "2023-06-01T13:00:00Z", "startTs": "2023-05-25T12:00:00.000+0530", "type": "ACTUAL_ARRIVAL_DATE" }, "planDetails": { "totalStops": "1", "isHazmat": true }, "equipment": { "equipmentCodes": "VAN53" }, "sortField": "LAN_DEPARTURE_TS", "sortMode": "ASC", "page": 3, "responseGroups": { }, "calculateSearchesResultCount": true
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The following are required input field names, data types, description, and occurrences.

status
object

Optional

Indicates the plan status to search.

planIds
array

Optional

Indicates the plan Ids to search for.

planIds
origins
object

Optional

Indicates the value of the pickup location information of the load.

destinations
object

Optional

Indicates the destination information about the drop off location.

queryDates
object

Optional

Indicates the parameters of the dates in a search.

planDetails
object

Optional

Indicates the search fields for the plan.

equipment
object

Optional

Indicates an object of the type of equipment the driver will need to accept the load.

string

Optional

Indicates the fields to sort search results.

Example:

LAN_DEPARTURE_TS

string

Optional

Indicates the order of the search results.

Example:

ASC - Ascend

integer

Specifies the starting page number of the search results.

The default is 1.

Example:

3

responseGroups
object

Optional

Specifies the search response grouping. This fetches the minimum or all fields in the search
results.

Search results are displayed in the BASIC default value.

Valid values are:

ValueMeaning
BASICGet the minimal fields in response.
FULLGet all the fields in the response.
boolean

Optional

Specifies count of total available loads in the search results

Example:

true

Headers
string
required

Specifies the consumer identifier.

This value is obtained from the Development Manager.

Example:

b30696d1-1806-489d-a519-6c38b35cc8d2

string
required

Specifies the authorization bearer token received in the previous authentication API call.

Example:

eyJraWqioiqwe33dDdssdfsefsdefe334VDWDKUssweksdoobweppsdvddppjsowjsddwi59223Kwkek91kkwd

string
required

Specifies the tracking ID for each request for logging purpose. The client should send a new UUID for each
request.

Example:

UUID - 4402a449-0e67-49f8-bbb3-b2fc1c05f6b3

Responses

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json